# MultiPOS - Point of Sale for WooCommerce
**Contributors**: `DevDiggers`

**Tags**: barcode scanner, cashiers, grocery and restaurant based point of sale, multipos - point of sale for woocommerce, online and offline pos, outlet and cashier management, POS app, pos kitchen view, retail point of sale, woocommerce multipos, woocommerce point of sale module, woocommerce point of sale plugin, woocommerce point of sale system, woocommerce pos, pos system

**WordPress**
  * `Requires at least: 5.0.0`
  * `Tested up to: 6.4.x`

**WooCommerce**
  * `Requires at least: 5.0.0`
  * `Tested up to: 8.4.x`

## Description

**MultiPOS - Point of Sale for WooCommerce** module allows store owners to sell products online as well as in their physical stores. It can sync your online store to point of sale with orders, customers and product listings and vice versa.

## Features
```
* Store owner can enable/disable the module functionality.
* Inventory management in POS can be of 2 types i.e. Custom or Centralized/WooCommerce stock.
* Different outlets can have different inventory types.
* Store owner can select the order status for POS end.
* Store owner can select default product barcode generation on the basis of either product ID or SKU.
* Mails can be enabled/disabled at POS end.
* Split/Multiple payment methods for the orders can be enabled/disabled at POS end.
* Unit/Weight based pricing feature can be enabled/disabled at POS end.
* Order note can be enabled/disabled at POS end.
* All orders can be created in offline mode then synced online automatically for fast process at POS end.
* Adding custom product can be enabled/disabled at POS end.
* Open cash drawer popup appear on loading POS can be enabled/disabled.
* Variations can be shown as different products at POS end.
* Hold orders can be sent automatically to the kitchen.
* Store owner can choose the logo for the POS.
* Store owner can select any customer as default or guest customer for the orders at POS end.
* Store owner can create the POS endpoint dynamically.
* Multiple static payment methods can be created for the POS and can be assigned to outlets.
* Progressive Web App (PWA) can be configured for the POS so desktop and mobile app can be installed.
* Store owner can configure the Progressive Web App (PWA) configuration for POS.
* Login page for the POS can be configured dynamically by store owner.
* Page size & margins for the printer can be configured.
* Printing page for barcode can be configured.
* Barcode can either be printed horizontally or vertically.
* Colors and font sizes can be configured for the POS layout.
* Store owner can check the analytics report of the sales done at POS end.
* Multiple outlets can be created and assigned to the cashiers.
* Outlets can be of 2 types i.e. Grocery/Retail and Restaurant/Cafe.
* Multiple cashiers can be created by store owner.
* Cashiers can manage multiple outlets at POS end.
* Multiple tables can be created by store owner for restaurant management in the outlet.
* Multiple tables can be assigned to the outlet and will be used if it of restaurant mode.
* Barcodes are generated automatically on the based of products ID or SKU.
* Custom barcodes can also be assigned to the products.
* Store owner can print the number of barcodes of the product.
* Custom stock can be assigned to the products in the respective outlet.
* Custom stock can also be assigned in the bulk via CSV using WooCommerce Products Import.
* Store owners can view the list of orders with the respective outlet and cashier created at POS end.
* Store owners can view the list of transactions with the respective outlet and cashier generated at POS end.
* Different Invoices can be created from the backend.
* Invoices can be customized by the given editor.
* Different invoices can be assigned to different outlets.
* Administrators and cashiers both can access the outlet in the POS.
* POS is completely responsive and can be used in any screen sized device.
* Supports RTL layout.
* Simple & Variable products are supported in the POS.
* Product, cart & coupon discounts can be applied in the POS.
* Customers can be added, edited and deleted in the POS.
* Orders can be put to hold in the POS and can be placed later.
* Orders can be placed either online or offline in the POS.
* Offline orders can be synced online in the POS.
* Orders can be viewed at the POS end.
* Order refund/return can be done at the POS end.
* Daily statistics can be views like Open Cash Drawer Amount, Today's Cash Sale, Today's Total Sale and Expected Drawer Amount at POS end.
* Transactions can be viewed at POS end.
* Manual transactions can be generated at POS end.
* Cashier profile can be edited in the POS.
* Outlet can be switched at POS end by the cashier.
* Outlet data can be reset in the POS if anything updated from backend to load the latest data.
* Page size & margins for the printer can also be changed at POS end.
* Table management can be done for restaurant outlet at POS end.
* Both Dine-in/Take away option is there for restaurant outlet.
* Hold orders of the table can be sent to kitchen to get prepared.
* Hold orders can be deleted automatically from the kitchen on deletion at POS end.
* Table orders can be modified by the cashier.
* Kitchen view is there for the restaurant outlet which can be opened in any system without login.
* Order can be removed from the kitchen view when it is ready.
* Sales invoice/receipt can be printed for all orders at POS end.
* Products can be added by scanning or entering the barcode at POS end.
* Sound will be there on adding products to the cart.
* Products, Orders, Customers & Tables can be searched at POS end.
* Hold orders can be added to cart or deleted at POS end.
* Outlet data can be deleted on logout to load the updated data on next login.
* Tax is managed at POS end.
* Allow customers to use more than one payment method to pay for the same order.
* Keyboard as well as on-screen numpad can be used to enter the amount in pay page.
* Multilingual is also supported with the given .pot file in the plugin.
* and much more...
```

## Installation

1. Upload the `dd-woocommerce-multipos` folder to the `/wp-content/plugins/` directory.
2. Activate the plugin through the `Plugins` menu in WordPress.
3. Configure the plugin using the `MultiPOS - Point of Sale for WooCommerce` menu.

For any Queries, kindly mail us at [DevDiggers](support@devdiggers.com)

**= 5.0.1 =**
```
Added compatibility with latest WordPress and WooCommerce.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 5.0.0 =**
```
Added new product layout.
Added new product variation layout.
Added support for backorders.
Added option to send placed orders to kitchen screen.
Added barcode scanning by default without opening the popup.
Added option to show or hide product stocks at the POS end.
Added item percentage discount option.
Added option to load guest/default customer only.
Added option to load only specific days old orders.
Added order type in WooCommerce orders list.
Added improvement in suggested payments.
Added compatibility with latest WordPress and WooCommerce.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 4.4.0 =**
```
Added compatibility with latest WordPress and WooCommerce.
Added new hooks for the customization compatibility.
Added coupon restrictions.
Added customer phone number placeholder "${customer_phone}" in the receipt.
Resolved security issues.
```

**= 4.3.0 =**
```
Added compatibility with latest WordPress and WooCommerce.
Added new hooks for the customization compatibility.
Added multiple tax rules support.
Resolved security issues.
```

**= 4.2.0 =**
```
Added compatibility with latest WordPress and WooCommerce.
Added new hooks for the customization compatibility.
Added barcode height option in the configuration.
Added table name variable for the invoice as ${table_name}.
Resolved security issues.
```

**= 4.1.0 =**
```
Added compatibility with latest WordPress and WooCommerce.
Added new hooks for the customization compatibility.
Added analytics compatibility with latest WordPress.
Resolved security issues.
```

**= 4.0.0 =**
```
Added compatibility with latest WordPress and WooCommerce.
Added layout for the mobile screens.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 3.7.0 =**
```
Added compatibility with latest WordPress and WooCommerce.
Added kitchen order status in the POS either preparing or ready.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 3.6.0 =**
```
Added view table order button in the tables menu.
Cashier can modify the table order, delete and sent it to the kitchen from the tables menu.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 3.5.0 =**
```
Added the refund management at the POS end.
Added compatibility with latest WordPress and WooCommerce.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 3.4.0 =**
```
Improved the performance.
Added compatibility with "WooCommerce Ultimate WhatsApp Solution" to send order info to customer's whatsapp.
Added compatibility with latest WordPress and WooCommerce.
Updated license API.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 3.3.0 =**
```
Added unit/weight based pricing feature.
Unit/Weight based pricing can be enabled/disabled by the admin.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 3.2.0 =**
```
Added feature to generate product barcodes on the basis of either ID or SKU.
Added new hooks for the customization compatibility.
Added compatibility with WooCommerce 6.2.x.
Resolved security issues.
```

**= 3.1.0 =**
```
Added feature to add different inventory types for different outlets.
Added new hooks for the customization compatibility.
Make order info field optional while adding order to hold.
Added order info field in the kitchen view.
Added compatibility with WooCommerce 6.1.x.
Added compatibility with WordPress 5.9.x.
Resolved security issues.
```

**= 3.0.0 =**
```
Added feature to add different invoices for different outlets.
Added feature to edit invoice using editor.
Added default invoice to be used initially.
Added option to add outlet email for the invoice.
Added sku product search with any character.
Added barcode product search with any character.
Added new hooks for the customization compatibility.
Added POS access for store manager user role.
Resolved security issues.
```

**= 2.6.0 =**
```
Added Dine-in/Take away popup for selecting/removing tables for the orders.
Added sounds on product add to cart.
Added option to enable/disable the sound from the POS Settings.
Added new hooks for the customization compatibility.
Resolved security issues.
```

**= 2.5.0 =**
```
Added feature to filter the report by outlet in the backend.
Added new hooks for the customization compatibility.
Added offline order ID in backend pos orders list.
Resolved product pagination issue.
Resolved other security issues.
```

**= 2.4.0 =**
```
Added support for product tax class.
Added new hooks for the customization compatibility.
Resolved other security issues.
```

**= 2.3.0 =**
```
Added RTL support.
Resolved other security issues.
```

**= 2.2.0 =**
```
Updated layout for the POS login screen.
Added new hooks for the customizations compatibility.
Resolved other security issues.
```

**= 2.1.0 =**
```
Added compatibility with WooCommerce 5.8.x
Added new hooks for the customizations compatibility.
Added automatic order removal from kitchen on deleting the hold order.
Resolved compatibility issue for coupons with inclusive tax.
Resolved other security issues.
```

**= 2.0.0 =**
```
Added kitchen view for the kitchen to get the order prepared.
Added button in hold orders to send it to the kitchen.
Added option to send hold orders to the kitchen automatically.
Added kitchen endpoint configuration.
Added better functionality to add the products via barcode.
Resolved security issues.
```

**= 1.1.0 =**
```
Added compatibility with WooCommerce 5.7.x.
Added barcode printing configuration.
Resolved POS blank page issue.
Resolved css override issue.
Resolved other security issues.
```

**= 1.0.0 =**
```
Initial release
```